package trapUtils;
use Exporter;
@EXPORT_OK=('ip2dec','dec2ip','getErrorID','InsertInterfaceError','AcquitteInterfaceErrorByID','AcquitteInterfaceErrorByInterfaceAndErrorID');
use strict;
sub ip2dec ($) 
{
    return unpack N => pack CCCC => split /\./ => shift;
}
sub dec2ip ($) 
{
    return join '.' => map { ($_[0] >> 8*(3-$_)) % 256 } 0 .. 3;
}
sub getErrorID
{
	my $db = $_[0];
	my $error =$_[1];
	my $query = $db->prepare("SELECT error_id FROM esia_errors WHERE error_name=?");
	$query->execute($error);
	my @erreurid = $query->fetchrow_array;
	return $erreurid[0];
}
sub InsertInterfaceError
{
	my $db = $_[0];
	my $errorid = $_[1];
	my $devid = $_[2];
	my $intid = $_[3];
	my $serid = $_[4];
	my $message = $_[5];
	my $value = $_[6];
	my $query = $db->prepare("INSERT INTO esia_error_happen(happen_id,happen_error_id, happen_device_id, happen_interface_id,happen_service_id,happen_message,happen_acquitte, happen_value,happen_timestamp)
    				 VALUES (DEFAULT, ?, ?, ?,?,?, 0, ?,now());");
	$query->execute($errorid,$devid,$intid,$serid,$message,$value);
}
sub AcquitteInterfaceErrorByID
{
	my $db = $_[0];
	my $happenid = $_[1];
     	 my $query = $db->prepare("UPDATE esia_error_happen SET happen_acquitte=1,happen_time_acquitte=now() WHERE happen_id=? AND happen_acquitte=0;");
	$query->execute($happenid);
}
sub AcquitteInterfaceErrorByInterfaceAndErrorID
{
	my $db = $_[0];
	my $interfaceid = $_[1];
	my $errorid = $_[2];
     	my $query = $db->prepare("UPDATE esia_error_happen SET happen_acquitte=1,happen_time_acquitte=now() WHERE happen_interface_id=? AND happen_error_id=? AND happen_acquitte=0 ");
	$query->execute($interfaceid,$errorid);
}
1;
